package main

import (
	"git.ddd.rip/ptrcnull/modweb"
	discord_login "git.ddd.rip/ptrcnull/modweb/examples/test/discord-login"
	helloworld "git.ddd.rip/ptrcnull/modweb/examples/test/hello-world"
)

func main() {
	app := modweb.New(modweb.Config{
		AppName: "Test App",
	})

	app.Register(&discord_login.Module{})
	app.Register(&helloworld.Module{})

	err := app.Run(":8011")
	if err != nil {
		panic(err)
	}
}
